=== modified file 'DBUS-API'
--- DBUS-API	2011-10-02 19:18:24 +0000
+++ DBUS-API	2011-03-17 18:14:34 +0000
@@ -5,7 +5,7 @@
 This file documents the D-Bus interface to the Mandos server.
 
 * Bus: System bus
-  Bus name: "se.recompile.Mandos"
+  Bus name: "se.bsnet.fukt.Mandos"
 
 
 * Object Paths:
@@ -17,7 +17,7 @@
 
   
 * Mandos Server Interface:
-  Interface name: "se.recompile.Mandos"
+  Interface name: "se.bsnet.fukt.Mandos"
   
 ** Methods:
 *** GetAllClients() → (ao: Clients)
@@ -44,7 +44,7 @@
 
 
 * Mandos Client Interface:
-  Interface name: "se.recompile.Mandos.Client"
+  Interface name: "se.bsnet.fukt.Mandos.Client"
   
 ** Methods
 *** Approve(b: Approve) → nothing
@@ -86,17 +86,15 @@
    | CheckerRunning (c)      | b    | Read/Write | N/A                 |
    | Created (d)             | s    | Read       | N/A                 |
    | Enabled (e)             | b    | Read/Write | N/A                 |
-   | Expires (f)             | s    | Read       | N/A                 |
-   | ExtendedTimeout (a)     | t    | Read/Write | extended_timeout    |
    | Fingerprint             | s    | Read       | fingerprint         |
    | Host                    | s    | Read/Write | host                |
    | Interval (a)            | t    | Read/Write | interval            |
-   | LastApprovalRequest (g) | s    | Read       | N/A                 |
-   | LastCheckedOK (h)       | s    | Read/Write | N/A                 |
-   | LastEnabled (i)         | s    | Read       | N/A                 |
+   | LastApprovalRequest (f) | s    | Read       | N/A                 |
+   | LastCheckedOK (g)       | s    | Read/Write | N/A                 |
+   | LastEnabled (h)         | s    | Read       | N/A                 |
    | Name                    | s    | Read       | (Section name)      |
    | ObjectPath              | o    | Read       | N/A                 |
-   | Secret (j)              | ay   | Write      | secret (or secfile) |
+   | Secret (i)              | ay   | Write      | secret (or secfile) |
    | Timeout (a)             | t    | Read/Write | timeout             |
    
    a) Represented as milliseconds.
@@ -111,23 +109,20 @@
    e) Setting this property is equivalent to calling Enable() or
       Disable().
    
-   f) The date and time this client will be disabled, as an RFC 3339
-      string, or an empty string if this has not happened.
-   
-   g) The date and time of the last approval request, as an RFC 3339
-      string, or an empty string if this has not happened.
-   
-   h) The date and time a checker was last successful, as an RFC 3339
-      string, or an empty string if this has not happened.  Setting
-      this property is equivalent to calling CheckedOK(), i.e. the
-      current time is set, regardless of the string sent.  Please
-      always use an empty string when setting this property, to allow
-      for possible future expansion.
-   
-   i) The date and time this client was last enabled, as an RFC 3339
-      string, or an empty string if this has not happened.
-   
-   j) A raw byte array, not hexadecimal digits.
+   f) The time of the last approval request, as an RFC 3339 string, or
+      an empty string if this has not happened.
+   
+   g) The last time a checker was successful, as an RFC 3339 string,
+      or an empty string if this has not happened.  Setting this
+      property is equivalent to calling CheckedOK(), i.e. the current
+      time is set, regardless of the string sent.  Please always use
+      an empty string when setting this property, to allow for
+      possible future expansion.
+   
+   h) The last time this client was enabled, as an RFC 3339 string, or
+      an empty string if this has not happened.
+   
+   i) A raw byte array, not hexadecimal digits.
 
 ** Signals
 *** CheckerCompleted(n: Exitcode, x: Waitstatus, s: Command)

=== modified file 'Makefile'
--- Makefile	2011-10-05 16:56:06 +0000
+++ Makefile	2011-07-27 17:58:27 +0000
@@ -5,7 +5,7 @@
 	-Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings \
 	-Wconversion -Wstrict-prototypes -Wold-style-definition \
 	-Wpacked -Wnested-externs -Winline -Wvolatile-register-var
-#	-Wunreachable-code
+#	-Wunreachable-code 
 #DEBUG=-ggdb3
 # For info about _FORTIFY_SOURCE, see
 # <http://www.kernel.org/doc/man-pages/online/pages/man7/feature_test_macros.7.html>
@@ -54,7 +54,7 @@
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
+LDFLAGS=$(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=$(strip cd $(dir $<); xsltproc --nonet --xinclude \
@@ -92,7 +92,7 @@
 	plugins.d/mandos-client.8mandos \
 	plugins.d/password-prompt.8mandos plugins.d/usplash.8mandos \
 	plugins.d/splashy.8mandos plugins.d/askpass-fifo.8mandos \
-	plugins.d/plymouth.8mandos intro.8mandos
+	plugins.d/plymouth.8mandos
 
 htmldocs=$(addsuffix .xhtml,$(DOCS))
 
@@ -119,11 +119,6 @@
 %.8mandos.xhtml: %.xml common.ent legalnotice.xml
 	$(DOCBOOKTOHTML)
 
-intro.8mandos: intro.xml common.ent legalnotice.xml
-	$(DOCBOOKTOMAN)
-intro.8mandos.xhtml: intro.xml common.ent legalnotice.xml
-	$(DOCBOOKTOHTML)
-
 mandos.8: mandos.xml common.ent mandos-options.xml overview.xml \
 		legalnotice.xml
 	$(DOCBOOKTOMAN)

=== modified file 'README'
--- README	2011-10-05 16:00:56 +0000
+++ README	2011-02-27 17:26:35 +0000
@@ -1,10 +1,182 @@
-Please see: http://www.recompile.se/mandos/man/intro.8mandos
-
-This information previously in this file has been moved to the
-intro(8mandos) manual page.  Go to the above URL, or run this command:
-
-	man 8mandos intro
-
-In short, this is the Mandos system; it allows computers to have
-encrypted root file systems and at the same time be capable of remote
-and/or unattended reboots.
+-*- org -*-
+
+* Mandos
+  - Have your cake and eat it too!
+  
+  You know how it is.  You’ve heard of it happening.  The Man comes
+  and takes away your servers, your friends’ servers, the servers of
+  everybody in the same hosting facility. The servers of their
+  neighbors, and their neighbors’ friends.  The servers of people who
+  owe them money.  And like *that*, they’re gone.  And you doubt
+  you’ll ever see them again.
+  
+  That is why your servers have encrypted root file systems.  However,
+  there’s a downside.  There’s no going around it: rebooting is a
+  pain.  Dragging out that rarely-used keyboard and screen and
+  unraveling cables behind your servers to plug them in to type in
+  that password is messy, especially if you have many servers.  There
+  are some people who do clever things like using serial line consoles
+  and daisy-chain it to the next server, and keep all the servers
+  connected in a ring with serial cables, which will work, if your
+  servers are physically close enough.  There are also other
+  out-of-band management solutions, but with *all* these, you still
+  have to be on hand and manually type in the password at boot time.
+  Otherwise the server just sits there, waiting for a password.
+  
+  Wouldn’t it be great if you could have the security of encrypted
+  root file systems and still have servers that could boot up
+  automatically if there was a short power outage while you were
+  asleep?  That you could reboot at will, without having someone run
+  over to the server to type in the password?
+  
+  Well, with Mandos, you (almost) can!  The gain in convenience will
+  only be offset by a small loss in security.  The setup is as
+  follows:
+  
+  The server will still have its encrypted root file system.  The
+  password to this file system will be stored on another computer
+  (henceforth known as the Mandos server) on the same local network.
+  The password will *not* be stored in plaintext, but encrypted with
+  OpenPGP.  To decrypt this password, a key is needed.  This key (the
+  Mandos client key) will not be stored there, but back on the
+  original server (henceforth known as the Mandos client) in the
+  initial RAM disk image.  Oh, and all network Mandos client/server
+  communications will be encrypted, using TLS (SSL).
+  
+  So, at boot time, the Mandos client will ask for its encrypted data
+  over the network, decrypt it to get the password, use it to decrypt
+  the root file, and continue booting.
+  
+  Now, of course the initial RAM disk image is not on the encrypted
+  root file system, so anyone who had physical access could take the
+  Mandos client computer offline and read the disk with their own
+  tools to get the authentication keys used by a client.  *But*, by
+  then the Mandos server should notice that the original server has
+  been offline for too long, and will no longer give out the encrypted
+  key.  The timing here is the only real weak point, and the method,
+  frequency and timeout of the server’s checking can be adjusted to
+  any desired level of paranoia
+  
+  (The encrypted keys on the Mandos server is on its normal file
+  system, so those are safe, provided the root file system of *that*
+  server is encrypted.)
+
+* FAQ - couldn’t the security be defeated by...
+
+** Grabbing the Mandos client key from the initrd *really quickly*?
+   This, as mentioned above, is the only real weak point.  But if you
+   set the timing values tight enough, this will be really difficult
+   to do.  An attacker would have to physically disassemble the client
+   computer, extract the key from the initial RAM disk image, and then
+   connect to a *still online* Mandos server to get the encrypted key,
+   and do all this *before* the Mandos server timeout kicks in and the
+   Mandos server refuses to give out the key to anyone.
+   
+   Now, as the typical procedure seems to be to barge in and turn off
+   and grab *all* computers, to maybe look at them months later, this
+   is not likely.  If someone does that, the whole system *will* lock
+   itself up completely, since Mandos servers are no longer running.
+   
+   For sophisticated attackers who *could* do the clever thing, *and*
+   had physical access to the server for enough time, it would be
+   simpler to get a key for an encrypted file system by using hardware
+   memory scanners and reading it right off the memory bus.
+
+** Replay attacks?
+   Nope, the network stuff is all done over TLS, which provides
+   protection against that.
+
+** Man-in-the-middle?
+   No.  The server only gives out the passwords to clients which have
+   *in the TLS handshake* proven that they do indeed hold the OpenPGP
+   private key corresponding to that client.
+
+** Physically grabbing the Mandos server computer?
+   You could protect *that* computer the old-fashioned way, with a
+   must-type-in-the-password-at-boot method.  Or you could have two
+   computers be the Mandos server for each other.
+   
+   Multiple Mandos servers can coexist on a network without any
+   trouble.  They do not clash, and clients will try all available
+   servers.  This means that if just one reboots then the other can
+   bring it back up, but if both reboot at the same time they will
+   stay down until someone types in the password on one of them.
+
+** Faking ping replies?
+   The default for the server is to use "fping", the replies to which
+   could be faked to eliminate the timeout.  But this could easily be
+   changed to any shell command, with any security measures you like.
+   It could, for instance, be changed to an SSH command with strict
+   keychecking, which could not be faked.  Or IPsec could be used for
+   the ping packets, making them secure.
+
+* Security Summary
+  So, in summary:  The only weakness in the Mandos system is from
+  people who have:
+  1. The power to come in and physically take your servers, *and*
+  2. The cunning and patience to do it carefully, one at a time, and
+     *quickly*, faking Mandos client/server responses for each one
+     before the timeout.
+  
+  While there are some who may be threatened by people who have *both*
+  these attributes, they do not, probably, constitute the majority.
+  
+  If you *do* face such opponents, you must figure that they could
+  just as well open your servers and read the file system keys right
+  off the memory by running wires to the memory bus.
+  
+  What Mandos is designed to protect against is *not* such determined,
+  focused, and competent attacks, but against the early morning knock
+  on your door and the sudden absence of all the servers in your
+  server room.  Which it does nicely.
+
+* The Plugin System
+  In the early designs, the mandos-client(8mandos) program (which
+  retrieves a password from the Mandos server) also prompted for a
+  password on the terminal, in case a Mandos server could not be
+  found.  Other ways of retrieving a password could easily be
+  envisoned, but this multiplicity of purpose was seen to be too
+  complex to be a viable way to continue.  Instead, the original
+  program was separated into mandos-client(8mandos) and
+  password-prompt(8mandos), and a plugin-runner(8mandos) exist to run
+  them both in parallel, allowing the first successful plugin to
+  provide the password.  This opened up for any number of additional
+  plugins to run, all competing to be the first to find a password and
+  provide it to the plugin runner.
+  
+  Four additional plugins are provided:
+  * plymouth(8mandos)
+    This prompts for a password when using plymouth(8).
+  * usplash(8mandos)
+    This prompts for a password when using usplash(8).
+  * splashy(8mandos)
+    This prompts for a password when using splashy(8).
+  * askpass-fifo(8mandos)
+    To provide compatibility with the "askpass" program from
+    cryptsetup, this plugin listens to the same FIFO as askpass would
+    do.
+  
+  More plugins can easily be written and added by the system
+  administrator; see the section called "WRITING PLUGINS" in
+  plugin-runner(8mandos) to learn the plugin requirements.
+
+* Copyright
+
+    Copyright © 2008-2011 Teddy Hogeborn
+    Copyright © 2008-2011 Björn Påhlsson
+  
+** License:
+   
+   This program is free software: you can redistribute it and/or
+   modify it under the terms of the GNU General Public License as
+   published by the Free Software Foundation, either version 3 of the
+   License, or (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful, but
+   WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program.  If not, see
+   <http://www.gnu.org/licenses/>.

=== modified file 'TODO'
--- TODO	2011-09-26 19:36:18 +0000
+++ TODO	2011-07-31 13:05:34 +0000
@@ -2,16 +2,15 @@
 
 * Use _attribute_((nonnull)) wherever possible.
 
-* [[http://www.undeadly.org/cgi?action=article&sid=20110530221728][OpenBSD]]
-
 * mandos-applet
 
+* Convert README into intro(8mandos) man page
+
 * mandos-client
 ** TODO [#B] Use capabilities instead of seteuid().
 ** TODO [#B] Use struct sockaddr_storage instead of a union
 ** TODO [#B] Use getaddrinfo(hints=AI_NUMERICHOST) instead of inet_pton()
 ** TODO [#B] Use getnameinfo(serv=NULL, NI_NUMERICHOST) instead of inet_ntop()
-** TODO [#B] Prefer /run/tmp over /tmp, if it exists
 
 * splashy
 ** TODO [#B] use scandir(3) instead of readdir(3)
@@ -58,8 +57,21 @@
 ** TODO [#C] DBusServiceObjectUsingSuper
 ** TODO [#B] Global enable/disable flag
 ** TODO [#B] By-client countdown on secrets given
+** TODO [#B] Fix problem with fsck taking a really long time
+   Whenever a client successfully gets a secret it could get a
+   one-time timeout boost to allow for an fsck-incurred delay
+** TODO [#A] Delay before client receives key
+   This would give an operator opportunity to cancel the request if
+   desired.
+** TODO [#A] Client manual approval mode
+   A client needs manual approval on the server before it gets the
+   secret
 ** TODO [#B] Support RFC 3339 time duration syntax
 ** More D-Bus methods
+*** NeedsApproval(50, True) -> timeout, default approve
+    Default approval is configurable, but True by default
+    + Approve(True) -> approve sending saved
+    + Approve(False) -> Close client connection immediately
 *** NeedsPassword(50) - Timeout, default disapprove
     + SetPass(u"gazonk", True) -> Approval, persistent
     + Approve(False) -> Close client connection immediately
@@ -96,12 +108,15 @@
 ** Show timeout countdown for approval
 
 * mandos-keygen
+** TODO Loop until passwords match when run interactively
 ** TODO "--secfile" option
    Using the "secfile" option instead of "secret"
 ** TODO [#B] "--test" option
    For testing decryption before rebooting.
 
 * Makefile
+** TODO Add "--Xlinker --as-needed"
+   http://udrepper.livejournal.com/19395.html
 ** TODO [#C] Implement DEB_BUILD_OPTIONS
    http://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
 

=== modified file 'clients.conf'
--- clients.conf	2011-09-19 09:42:55 +0000
+++ clients.conf	2010-09-12 03:00:40 +0000
@@ -4,19 +4,14 @@
 
 # How long until a client is disabled and not be allowed to get the
 # data this server holds.
-;timeout = 5m
+;timeout = 1h
 
 # How often to run the checker to confirm that a client is still up.
 # Note: a new checker will not be started if an old one is still
 # running.  The server will wait for a checker to complete until the
 # above "timeout" occurs, at which time the client will be disabled,
 # and any running checker killed.
-;interval = 2m
-
-# Extended timeout is an added timeout that is given once after a
-# password has been sent sucessfully to a client.  This allows for
-# additional delays caused by file system checks and quota checks.
-;extended_timeout = 15m
+;interval = 5m
 
 # What command to run as "the checker".
 ;checker = fping -q -- %%(host)s
@@ -75,7 +70,7 @@
 ;host = 192.0.2.3
 ;
 ;# Parameters from the [DEFAULT] section can be overridden per client.
-;interval = 1m
+;interval = 5m
 ;
 ;# This client requires manual approval before it receives its secret.
 ;approved_by_default = False

=== modified file 'dbus-mandos.conf'
--- dbus-mandos.conf	2011-10-02 19:18:24 +0000
+++ dbus-mandos.conf	2009-11-09 07:35:16 +0000
@@ -7,18 +7,12 @@
     <allow own="se.bsnet.fukt.Mandos"/>
     <allow send_destination="se.bsnet.fukt.Mandos"/>
     <allow receive_sender="se.bsnet.fukt.Mandos"/>
-    <allow own="se.recompile.Mandos"/>
-    <allow send_destination="se.recompile.Mandos"/>
-    <allow receive_sender="se.recompile.Mandos"/>
   </policy>
   
   <policy user="root">
     <allow own="se.bsnet.fukt.Mandos"/>
     <allow send_destination="se.bsnet.fukt.Mandos"/>
     <allow receive_sender="se.bsnet.fukt.Mandos"/>
-    <allow own="se.recompile.Mandos"/>
-    <allow send_destination="se.recompile.Mandos"/>
-    <allow receive_sender="se.recompile.Mandos"/>
   </policy>
 
 </busconfig>

=== modified file 'debian/control'
--- debian/control	2011-10-05 17:03:36 +0000
+++ debian/control	2011-03-17 18:13:40 +0000
@@ -1,17 +1,16 @@
 Source: mandos
 Section: admin
 Priority: extra
-Maintainer: Mandos Maintainers <mandos@recompile.se>
-Uploaders: Teddy Hogeborn <teddy@recompile.se>,
-	   Björn Påhlsson <belorn@recompile.se>
+Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
+Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
+	   Björn Påhlsson <belorn@fukt.bsnet.se>
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.9.2
-Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
-Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
-Homepage: http://www.recompile.se/mandos
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.1
+Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
+Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files
+Homepage: http://www.fukt.bsnet.se/mandos
 
 Package: mandos
 Architecture: all
@@ -19,7 +18,7 @@
 	python-avahi, python-gobject, avahi-daemon, adduser,
 	python-urwid, python (>=2.7) | python-argparse
 Recommends: fping
-Description: server giving encrypted passwords to Mandos clients
+Description: a server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
  computers to have encrypted root file systems and at the
  same time be capable of remote and/or unattended reboots.

=== modified file 'debian/copyright'
--- debian/copyright	2011-10-05 16:00:56 +0000
+++ debian/copyright	2011-02-27 17:26:35 +0000
@@ -1,8 +1,8 @@
 Format-Specification:
  http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=233
 Upstream-Name: Mandos
-Upstream-Maintainer: Mandos Maintainers <mandos@recompile.se>
-Upstream-Source: <http://www.recompile.se/mandos>
+Upstream-Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
+Upstream-Source: <http://www.fukt.bsnet.se/mandos>
 
 Files: *
 Copyright: Copyright © 2008-2011 Teddy Hogeborn

=== modified file 'debian/mandos-client.README.Debian'
--- debian/mandos-client.README.Debian	2011-10-05 16:00:56 +0000
+++ debian/mandos-client.README.Debian	2010-09-27 17:53:53 +0000
@@ -1,3 +1,25 @@
+* Choose the Client Network Interface
+  
+  Please make sure that the correct network interface is specified in
+  the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
+  file.  If the setting is empty, the interface will be autodetected
+  at boot time, which may not be correct.  *If* the DEVICE setting is
+  changed, it will be necessary to update the initrd image by running
+  the command
+  
+	update-initramfs -k all -u
+  
+  The device can be overridden at boot time on the Linux kernel
+  command line using the sixth colon-separated field of the "ip="
+  option; for exact syntax, read the documentation in the file
+  "/usr/share/doc/linux-doc-*/Documentation/filesystems/nfsroot.txt",
+  available in the "linux-doc-*" package.
+  
+  Note that since this network interface is used in the initial RAM
+  disk environment, the network interface *must* exist at that stage.
+  Thus, the interface can *not* be a pseudo-interface such as "br0" or
+  "tun0"; instead, a real interface (such as "eth0") must be used.
+
 * Adding a Client Password to the Server
   
   The server must be given a password to give back to the client on
@@ -24,34 +46,6 @@
   it, and output it to standard output.  There it can be verified to
   be the correct password, before rebooting.
 
-* Emergency Escape
-  
-  If it ever should be necessary, the Mandos client can be temporarily
-  prevented from running at startup by passing the parameter
-  "mandos=off" to the kernel.
-
-* Specifying a Client Network Interface
-  
-  At boot time the network interface to use will by default be
-  automatically detected.  If should result in an incorrect interface,
-  edit the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
-  file.  (The default setting is empty, meaning to autodetect the
-  interface.)  *If* the DEVICE setting is changed, it will be
-  necessary to update the initrd image by running the command
-  
-	update-initramfs -k all -u
-  
-  The device can be overridden at boot time on the Linux kernel
-  command line using the sixth colon-separated field of the "ip="
-  option; for exact syntax, read the documentation in the file
-  "/usr/share/doc/linux-doc-*/Documentation/filesystems/nfsroot.txt",
-  available in the "linux-doc-*" package.
-  
-  Note that since this network interface is used in the initial RAM
-  disk environment, the network interface *must* exist at that stage.
-  Thus, the interface can *not* be a pseudo-interface such as "br0" or
-  "tun0"; instead, only real interface (such as "eth0") can be used.
-
 * User-Supplied Plugins
   
   Any plugins found in "/etc/mandos/plugins.d" will override and add
@@ -68,14 +62,19 @@
   Mandos client will be the new default way for getting a password for
   the root file system when booting.
 
+* Emergency Escape
+  
+  If it ever should be necessary, the Mandos client can be temporarily
+  prevented from running at startup by passing the parameter
+  "mandos=off" to the kernel.
+
 * Non-local Connection (Not Using ZeroConf)
   
   If the "ip=" kernel command line option is used to specify a
   complete IP address and device name, as noted above, it then becomes
   possible to specify a specific IP address and port to connect to,
   instead of using ZeroConf.  The syntax for doing this is
-  "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>" on the kernel command
-  line.
+  "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>".
   
   For very advanced users, it it possible to specify simply
   "mandos=connect" on the kernel command line to make the system only
@@ -84,4 +83,4 @@
   work, "--options-for=mandos-client:--connect=<ADDRESS>:<PORT>" needs
   to be manually added to the file "/etc/mandos/plugin-runner.conf".
 
- -- Teddy Hogeborn <teddy@recompile.se>, Wed,  5 Oct 2011 17:50:22 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Mon, 27 Sep 2010 19:53:21 +0200

=== modified file 'debian/mandos.README.Debian'
--- debian/mandos.README.Debian	2011-10-05 16:00:56 +0000
+++ debian/mandos.README.Debian	2009-09-08 06:28:20 +0000
@@ -1,10 +1,10 @@
 The Mandos server is useless without at least one configured client in
 /etc/mandos/clients.conf.  To create one, install the "mandos-client"
-package on a client computer, and, on the client, run the command
+package on a client computer, and run the command
 
 	# mandos-keygen --password
 
-to get a config file stanza.  Append the output of that command to the
-file "/etc/mandos/clients.conf" on the Mandos server computer.
+there to get a config file stanza.  Append the output of that command
+to the file "/etc/mandos/clients.conf" on the Mandos server.
 
- -- Teddy Hogeborn <teddy@recompile.se>, Wed,  5 Oct 2011 17:51:22 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Tue,  8 Sep 2009 06:57:45 +0200

=== removed file 'debian/source/local-options'
--- debian/source/local-options	2011-10-08 21:13:46 +0000
+++ debian/source/local-options	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
---single-debian-patch

=== modified file 'debian/watch'
--- debian/watch	2011-10-05 16:00:56 +0000
+++ debian/watch	2010-09-15 17:17:46 +0000
@@ -1,2 +1,2 @@
 version=3
-ftp://ftp.recompile.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)
+ftp://ftp.fukt.bsnet.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)

=== modified file 'init.d-mandos'
--- init.d-mandos	2011-10-05 16:00:56 +0000
+++ init.d-mandos	2009-09-16 23:28:39 +0000
@@ -9,8 +9,8 @@
 # Description:       Gives encrypted passwords to Mandos clients
 ### END INIT INFO
 
-# Author: Teddy Hogeborn <teddy@recompile.se>
-# Author: Björn Påhlsson <belorn@recompile.se>
+# Author: Teddy Hogeborn <teddy@fukt.bsnet.se>
+# Author: Björn Påhlsson <belorn@fukt.bsnet.se>
 #
 # Please remove the "Author" lines above and replace them
 # with your own name if you copy and modify this script.

=== modified file 'initramfs-tools-hook'
--- initramfs-tools-hook	2011-10-05 16:56:06 +0000
+++ initramfs-tools-hook	2010-09-09 18:16:14 +0000
@@ -131,7 +131,7 @@
 	"${DESTDIR}${CONFDIR}/plugin-runner.conf"
 fi
 
-# Key files
+# Key files 
 for file in "$keydir"/*; do
     if [ -d "$file" ]; then
 	continue

=== removed file 'intro.xml'
--- intro.xml	2011-10-05 16:00:56 +0000
+++ intro.xml	1970-01-01 00:00:00 +0000
@@ -1,410 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-<!ENTITY TIMESTAMP "2011-10-03">
-<!ENTITY % common SYSTEM "common.ent">
-%common;
-]>
-
-<refentry xmlns:xi="http://www.w3.org/2001/XInclude">
-   <refentryinfo>
-    <title>Mandos Manual</title>
-    <!-- NWalsh’s docbook scripts use this to generate the footer: -->
-    <productname>Mandos</productname>
-    <productnumber>&version;</productnumber>
-    <date>&TIMESTAMP;</date>
-    <authorgroup>
-      <author>
-	<firstname>Björn</firstname>
-	<surname>Påhlsson</surname>
-	<address>
-	  <email>belorn@recompile.se</email>
-	</address>
-      </author>
-      <author>
-	<firstname>Teddy</firstname>
-	<surname>Hogeborn</surname>
-	<address>
-	  <email>teddy@recompile.se</email>
-	</address>
-      </author>
-    </authorgroup>
-    <copyright>
-      <year>2011</year>
-      <holder>Teddy Hogeborn</holder>
-      <holder>Björn Påhlsson</holder>
-    </copyright>
-    <xi:include href="legalnotice.xml"/>
-  </refentryinfo>
-  
-  <refmeta>
-    <refentrytitle>intro</refentrytitle>
-    <manvolnum>8mandos</manvolnum>
-  </refmeta>
-  
-  <refnamediv>
-    <refname>intro</refname>
-    <refpurpose>
-      Introduction to the Mandos system
-    </refpurpose>
-  </refnamediv>
-  
-  <refsect1 id="description">
-    <title>DESCRIPTION</title>
-    <para>
-      This is the the Mandos system, which allows computers to have
-      encrypted root file systems and at the same time be capable of
-      remote and/or unattended reboots.
-    </para>
-    <para>
-      The computers run a small client program in the initial RAM disk
-      environment which will communicate with a server over a network.
-      All network communication is encrypted using TLS.  The clients
-      are identified by the server using an OpenPGP key; each client
-      has one unique to it.  The server sends the clients an encrypted
-      password.  The encrypted password is decrypted by the clients
-      using the same OpenPGP key, and the password is then used to
-      unlock the root file system, whereupon the computers can
-      continue booting normally.
-    </para>
-  </refsect1>
-  
-  <refsect1 id="introduction">
-    <title>INTRODUCTION</title>
-    <para>
-      You know how it is.  You’ve heard of it happening.  The Man
-      comes and takes away your servers, your friends’ servers, the
-      servers of everybody in the same hosting facility. The servers
-      of their neighbors, and their neighbors’ friends.  The servers
-      of people who owe them money.  And like
-      <emphasis>that</emphasis>, they’re gone.  And you doubt you’ll
-      ever see them again.
-    </para>
-    <para>
-      That is why your servers have encrypted root file systems.
-      However, there’s a downside.  There’s no going around it:
-      rebooting is a pain.  Dragging out that rarely-used keyboard and
-      screen and unraveling cables behind your servers to plug them in
-      to type in that password is messy, especially if you have many
-      servers.  There are some people who do clever things like using
-      serial line consoles and daisy-chain it to the next server, and
-      keep all the servers connected in a ring with serial cables,
-      which will work, if your servers are physically close enough.
-      There are also other out-of-band management solutions, but with
-      <emphasis>all</emphasis> these, you still have to be on hand and
-      manually type in the password at boot time.  Otherwise the
-      server just sits there, waiting for a password.
-    </para>
-    <para>
-      Wouldn’t it be great if you could have the security of encrypted
-      root file systems and still have servers that could boot up
-      automatically if there was a short power outage while you were
-      asleep?  That you could reboot at will, without having someone
-      run over to the server to type in the password?
-    </para>
-    <para>
-      Well, with Mandos, you (almost) can!  The gain in convenience
-      will only be offset by a small loss in security.  The setup is
-      as follows:
-    </para>
-    <para>
-      The server will still have its encrypted root file system.  The
-      password to this file system will be stored on another computer
-      (henceforth known as the Mandos server) on the same local
-      network.  The password will <emphasis>not</emphasis> be stored
-      in plaintext, but encrypted with OpenPGP.  To decrypt this
-      password, a key is needed.  This key (the Mandos client key)
-      will not be stored there, but back on the original server
-      (henceforth known as the Mandos client) in the initial RAM disk
-      image.  Oh, and all network Mandos client/server communications
-      will be encrypted, using TLS (SSL).
-    </para>
-    <para>
-      So, at boot time, the Mandos client will ask for its encrypted
-      data over the network, decrypt it to get the password, use it to
-      decrypt the root file, and continue booting.
-    </para>
-    <para>
-      Now, of course the initial RAM disk image is not on the
-      encrypted root file system, so anyone who had physical access
-      could take the Mandos client computer offline and read the disk
-      with their own tools to get the authentication keys used by a
-      client.  <emphasis>But</emphasis>, by then the Mandos server
-      should notice that the original server has been offline for too
-      long, and will no longer give out the encrypted key.  The timing
-      here is the only real weak point, and the method, frequency and
-      timeout of the server’s checking can be adjusted to any desired
-      level of paranoia
-    </para>
-    <para>
-      (The encrypted keys on the Mandos server is on its normal file
-      system, so those are safe, provided the root file system of
-      <emphasis>that</emphasis> server is encrypted.)
-    </para>
-  </refsect1>
-  
-  <refsect1 id="faq">
-    <title>FREQUENTLY ASKED QUESTIONS</title>
-    <para>
-      Couldn’t the security be defeated by…
-    </para>
-    <refsect2 id="quick">
-      <title>Grabbing the Mandos client key from the
-      initrd <emphasis>really quickly</emphasis>?</title>
-    <para>
-      This, as mentioned above, is the only real weak point.  But if
-      you set the timing values tight enough, this will be really
-      difficult to do.  An attacker would have to physically
-      disassemble the client computer, extract the key from the
-      initial RAM disk image, and then connect to a <emphasis>still
-      online</emphasis> Mandos server to get the encrypted key, and do
-      all this <emphasis>before</emphasis> the Mandos server timeout
-      kicks in and the Mandos server refuses to give out the key to
-      anyone.
-    </para>
-    <para>
-      Now, as the typical procedure seems to be to barge in and turn
-      off and grab <emphasis>all</emphasis> computers, to maybe look
-      at them months later, this is not likely.  If someone does that,
-      the whole system <emphasis>will</emphasis> lock itself up
-      completely, since Mandos servers are no longer running.
-    </para>
-    <para>
-      For sophisticated attackers who <emphasis>could</emphasis> do
-      the clever thing, <emphasis>and</emphasis> had physical access
-      to the server for enough time, it would be simpler to get a key
-      for an encrypted file system by using hardware memory scanners
-      and reading it right off the memory bus.
-    </para>
-    </refsect2>
-    
-    <refsect2 id="replay">
-      <title>Replay attacks?</title>
-      <para>
-	Nope, the network stuff is all done over TLS, which provides
-	protection against that.
-      </para>
-    </refsect2>
-    
-    <refsect2 id="mitm">
-      <title>Man-in-the-middle?</title>
-      <para>
-	No.  The server only gives out the passwords to clients which
-	have <emphasis>in the TLS handshake</emphasis> proven that
-	they do indeed hold the OpenPGP private key corresponding to
-	that client.
-      </para>
-    </refsect2>
-    
-    <refsect2 id="physgrab">
-      <title>Physically grabbing the Mandos server computer?</title>
-      <para>
-	You could protect <emphasis>that</emphasis> computer the
-	old-fashioned way, with a must-type-in-the-password-at-boot
-	method.  Or you could have two computers be the Mandos server
-	for each other.
-      </para>
-      <para>
-	Multiple Mandos servers can coexist on a network without any
-	trouble.  They do not clash, and clients will try all
-	available servers.  This means that if just one reboots then
-	the other can bring it back up, but if both reboot at the same
-	time they will stay down until someone types in the password
-	on one of them.
-      </para>
-    </refsect2>
-    
-    <refsect2 id="fakeping">
-      <title>Faking ping replies?</title>
-      <para>
-	The default for the server is to use
-	<quote><literal>fping</literal></quote>, the replies to which
-	could be faked to eliminate the timeout.  But this could
-	easily be changed to any shell command, with any security
-	measures you like.  It could, for instance, be changed to an
-	SSH command with strict keychecking, which could not be faked.
-	Or IPsec could be used for the ping packets, making them
-	secure.
-      </para>
-    </refsect2>
-  </refsect1>
-  
-  <refsect1 id="security">
-    <title>SECURITY</title>
-    <para>
-      So, in summary:  The only weakness in the Mandos system is from
-      people who have:
-    </para>
-    <orderedlist>
-      <listitem>
-	<para>
-	  The power to come in and physically take your servers,
-	  <emphasis>and</emphasis>
-	</para>
-      </listitem>
-      <listitem>
-	<para>
-	  The cunning and patience to do it carefully, one at a time,
-	  and <emphasis>quickly</emphasis>, faking Mandos
-	  client/server responses for each one before the timeout.
-	</para>
-      </listitem>
-    </orderedlist>
-    <para>
-      While there are some who may be threatened by people who have
-      <emphasis>both</emphasis> these attributes, they do not,
-      probably, constitute the majority.
-    </para>
-    <para>
-      If you <emphasis>do</emphasis> face such opponents, you must
-      figure that they could just as well open your servers and read
-      the file system keys right off the memory by running wires to
-      the memory bus.
-    </para>
-    <para>
-      What Mandos is designed to protect against is
-      <emphasis>not</emphasis> such determined, focused, and competent
-      attacks, but against the early morning knock on your door and
-      the sudden absence of all the servers in your server room.
-      Which it does nicely.
-    </para>
-  </refsect1>
-  
-  <refsect1 id="plugins">
-    <title>PLUGINS</title>
-    <para>
-      In the early designs, the
-      <citerefentry><refentrytitle>mandos-client</refentrytitle
-      ><manvolnum>8mandos</manvolnum></citerefentry> program (which
-      retrieves a password from the Mandos server) also prompted for a
-      password on the terminal, in case a Mandos server could not be
-      found.  Other ways of retrieving a password could easily be
-      envisoned, but this multiplicity of purpose was seen to be too
-      complex to be a viable way to continue.  Instead, the original
-      program was separated into <citerefentry><refentrytitle
-      >mandos-client</refentrytitle><manvolnum>8mandos</manvolnum
-      ></citerefentry> and <citerefentry><refentrytitle
-      >password-prompt</refentrytitle><manvolnum>8mandos</manvolnum
-      ></citerefentry>, and a <citerefentry><refentrytitle
-      >plugin-runner</refentrytitle><manvolnum>8mandos</manvolnum
-      ></citerefentry> exist to run them both in parallel, allowing
-      the first successful plugin to provide the password.  This
-      opened up for any number of additional plugins to run, all
-      competing to be the first to find a password and provide it to
-      the plugin runner.
-    </para>
-    <para>
-      Four additional plugins are provided:
-    </para>
-    <variablelist>
-      <varlistentry>
-	<term>
-	  <citerefentry><refentrytitle>plymouth</refentrytitle>
-	  <manvolnum>8mandos</manvolnum></citerefentry>
-	</term>
-	<listitem>
-	  <para>
-	    This prompts for a password when using <citerefentry>
-	    <refentrytitle>plymouth</refentrytitle><manvolnum
-	    >8</manvolnum></citerefentry>.
-	  </para>
-	</listitem>
-      </varlistentry>
-      <varlistentry>
-	<term>
-	  <citerefentry><refentrytitle>usplash</refentrytitle>
-	  <manvolnum>8mandos</manvolnum></citerefentry>
-	</term>
-	<listitem>
-	  <para>
-	    This prompts for a password when using <citerefentry>
-	    <refentrytitle>usplash</refentrytitle><manvolnum
-	    >8</manvolnum></citerefentry>.
-	  </para>
-	</listitem>
-      </varlistentry>
-      <varlistentry>
-	<term>
-	  <citerefentry><refentrytitle>splashy</refentrytitle>
-	  <manvolnum>8mandos</manvolnum></citerefentry>
-	</term>
-	<listitem>
-	  <para>
-	    This prompts for a password when using <citerefentry>
-	    <refentrytitle>splashy</refentrytitle><manvolnum
-	    >8</manvolnum></citerefentry>.
-	  </para>
-	</listitem>
-      </varlistentry>
-      <varlistentry>
-	<term>
-	  <citerefentry><refentrytitle>askpass-fifo</refentrytitle>
-	  <manvolnum>8mandos</manvolnum></citerefentry>
-	</term>
-	<listitem>
-	  <para>
-	    To provide compatibility with the "askpass" program from
-	    cryptsetup, this plugin listens to the same FIFO as
-	    askpass would do.
-	  </para>
-	</listitem>
-      </varlistentry>
-    </variablelist>
-    <para>
-      More plugins can easily be written and added by the system
-      administrator; see the section called "WRITING PLUGINS" in
-      <citerefentry><refentrytitle>plugin-runner</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry> to learn the
-      plugin requirements.
-    </para>
-  </refsect1>
-  
-  <refsect1 id="see_also">
-    <title>SEE ALSO</title>
-    <para>
-      <citerefentry><refentrytitle>mandos</refentrytitle>
-      <manvolnum>8</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos.conf</refentrytitle>
-      <manvolnum>5</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos-clients.conf</refentrytitle>
-      <manvolnum>5</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos-ctl</refentrytitle>
-      <manvolnum>8</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos-monitor</refentrytitle>
-      <manvolnum>8</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>plugin-runner</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos-client</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>password-prompt</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>plymouth</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>usplash</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>splashy</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>askpass-fifo</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos-keygen</refentrytitle>
-      <manvolnum>8</manvolnum></citerefentry>
-    </para>
-    <variablelist>
-      <varlistentry>
-	<term>
-	  <ulink url="http://www.recompile.se/mandos">Mandos</ulink>
-	</term>
-	<listitem>
-	  <para>
-	    The Mandos home page.
-	  </para>
-	</listitem>
-      </varlistentry>
-    </variablelist>
-  </refsect1>
-</refentry>
-<!-- Local Variables: -->
-<!-- time-stamp-start: "<!ENTITY TIMESTAMP [\"']" -->
-<!-- time-stamp-end: "[\"']>" -->
-<!-- time-stamp-format: "%:y-%02m-%02d" -->
-<!-- End: -->

=== modified file 'mandos'
--- mandos	2011-10-08 17:15:48 +0000
+++ mandos	2011-07-27 17:58:27 +0000
@@ -28,7 +28,7 @@
 # along with this program.  If not, see
 # <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -62,7 +62,6 @@
 import functools
 import cPickle as pickle
 import multiprocessing
-import types
 
 import dbus
 import dbus.service
@@ -160,8 +159,7 @@
                             " after %i retries, exiting.",
                             self.rename_count)
             raise AvahiServiceError("Too many renames")
-        self.name = unicode(self.server
-                            .GetAlternativeServiceName(self.name))
+        self.name = unicode(self.server.GetAlternativeServiceName(self.name))
         logger.info("Changing Zeroconf service name to %r ...",
                     self.name)
         syslogger.setFormatter(logging.Formatter
@@ -266,12 +264,6 @@
         self.server_state_changed(self.server.GetState())
 
 
-def _timedelta_to_milliseconds(td):
-    "Convert a datetime.timedelta() to milliseconds"
-    return ((td.days * 24 * 60 * 60 * 1000)
-            + (td.seconds * 1000)
-            + (td.microseconds // 1000))
-        
 class Client(object):
     """A representation of a client host served by this server.
     
@@ -305,10 +297,7 @@
     secret:     bytestring; sent verbatim (over TLS) to client
     timeout:    datetime.timedelta(); How long from last_checked_ok
                                       until this client is disabled
-    extended_timeout:   extra long timeout when password has been sent
     runtime_expansions: Allowed attributes for runtime expansion.
-    expires:    datetime.datetime(); time (UTC) when a client will be
-                disabled, or None
     """
     
     runtime_expansions = ("approval_delay", "approval_duration",
@@ -316,20 +305,23 @@
                           "host", "interval", "last_checked_ok",
                           "last_enabled", "name", "timeout")
     
+    @staticmethod
+    def _timedelta_to_milliseconds(td):
+        "Convert a datetime.timedelta() to milliseconds"
+        return ((td.days * 24 * 60 * 60 * 1000)
+                + (td.seconds * 1000)
+                + (td.microseconds // 1000))
+    
     def timeout_milliseconds(self):
         "Return the 'timeout' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.timeout)
-    
-    def extended_timeout_milliseconds(self):
-        "Return the 'extended_timeout' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.extended_timeout)
+        return self._timedelta_to_milliseconds(self.timeout)
     
     def interval_milliseconds(self):
         "Return the 'interval' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.interval)
-    
+        return self._timedelta_to_milliseconds(self.interval)
+
     def approval_delay_milliseconds(self):
-        return _timedelta_to_milliseconds(self.approval_delay)
+        return self._timedelta_to_milliseconds(self.approval_delay)
     
     def __init__(self, name = None, disable_hook=None, config=None):
         """Note: the 'checker' key in 'config' sets the
@@ -362,14 +354,11 @@
         self.last_enabled = None
         self.last_checked_ok = None
         self.timeout = string_to_delta(config["timeout"])
-        self.extended_timeout = string_to_delta(config
-                                                ["extended_timeout"])
         self.interval = string_to_delta(config["interval"])
         self.disable_hook = disable_hook
         self.checker = None
         self.checker_initiator_tag = None
         self.disable_initiator_tag = None
-        self.expires = None
         self.checker_callback_tag = None
         self.checker_command = config["checker"]
         self.current_checker_command = None
@@ -382,33 +371,30 @@
             config["approval_delay"])
         self.approval_duration = string_to_delta(
             config["approval_duration"])
-        self.changedstate = (multiprocessing_manager
-                             .Condition(multiprocessing_manager
-                                        .Lock()))
+        self.changedstate = multiprocessing_manager.Condition(multiprocessing_manager.Lock())
     
     def send_changedstate(self):
         self.changedstate.acquire()
         self.changedstate.notify_all()
         self.changedstate.release()
-    
+        
     def enable(self):
         """Start this client's checker and timeout hooks"""
         if getattr(self, "enabled", False):
             # Already enabled
             return
         self.send_changedstate()
+        self.last_enabled = datetime.datetime.utcnow()
         # Schedule a new checker to be started an 'interval' from now,
         # and every interval from then on.
         self.checker_initiator_tag = (gobject.timeout_add
                                       (self.interval_milliseconds(),
                                        self.start_checker))
         # Schedule a disable() when 'timeout' has passed
-        self.expires = datetime.datetime.utcnow() + self.timeout
         self.disable_initiator_tag = (gobject.timeout_add
                                    (self.timeout_milliseconds(),
                                     self.disable))
         self.enabled = True
-        self.last_enabled = datetime.datetime.utcnow()
         # Also start a new checker *right now*.
         self.start_checker()
     
@@ -423,7 +409,6 @@
         if getattr(self, "disable_initiator_tag", False):
             gobject.source_remove(self.disable_initiator_tag)
             self.disable_initiator_tag = None
-        self.expires = None
         if getattr(self, "checker_initiator_tag", False):
             gobject.source_remove(self.checker_initiator_tag)
             self.checker_initiator_tag = None
@@ -455,20 +440,17 @@
             logger.warning("Checker for %(name)s crashed?",
                            vars(self))
     
-    def checked_ok(self, timeout=None):
+    def checked_ok(self):
         """Bump up the timeout for this client.
         
         This should only be called when the client has been seen,
         alive and well.
         """
-        if timeout is None:
-            timeout = self.timeout
         self.last_checked_ok = datetime.datetime.utcnow()
         gobject.source_remove(self.disable_initiator_tag)
-        self.expires = datetime.datetime.utcnow() + timeout
         self.disable_initiator_tag = (gobject.timeout_add
-                                      (_timedelta_to_milliseconds
-                                       (timeout), self.disable))
+                                      (self.timeout_milliseconds(),
+                                       self.disable))
     
     def need_approval(self):
         self.last_approval_request = datetime.datetime.utcnow()
@@ -514,7 +496,7 @@
                                        'replace')))
                     for attr in
                     self.runtime_expansions)
-                
+
                 try:
                     command = self.checker_command % escaped_attrs
                 except TypeError as error:
@@ -566,7 +548,6 @@
                 raise
         self.checker = None
 
-
 def dbus_service_property(dbus_interface, signature="v",
                           access="readwrite", byte_arrays=False):
     """Decorators for marking methods of a DBusObjectWithProperties to
@@ -618,7 +599,7 @@
 
 class DBusObjectWithProperties(dbus.service.Object):
     """A D-Bus object with properties.
-    
+
     Classes inheriting from this can use the dbus_service_property
     decorator to expose methods as D-Bus properties.  It exposes the
     standard Get(), Set(), and GetAll() methods on the D-Bus.
@@ -631,22 +612,24 @@
     def _get_all_dbus_properties(self):
         """Returns a generator of (name, attribute) pairs
         """
-        return ((prop.__get__(self)._dbus_name, prop.__get__(self))
-                for cls in self.__class__.__mro__
+        return ((prop._dbus_name, prop)
                 for name, prop in
-                inspect.getmembers(cls, self._is_dbus_property))
+                inspect.getmembers(self, self._is_dbus_property))
     
     def _get_dbus_property(self, interface_name, property_name):
         """Returns a bound method if one exists which is a D-Bus
         property with the specified name and interface.
         """
-        for cls in  self.__class__.__mro__:
-            for name, value in (inspect.getmembers
-                                (cls, self._is_dbus_property)):
-                if (value._dbus_name == property_name
-                    and value._dbus_interface == interface_name):
-                    return value.__get__(self)
-        
+        for name in (property_name,
+                     property_name + "_dbus_property"):
+            prop = getattr(self, name, None)
+            if (prop is None
+                or not self._is_dbus_property(prop)
+                or prop._dbus_name != property_name
+                or (interface_name and prop._dbus_interface
+                    and interface_name != prop._dbus_interface)):
+                continue
+            return prop
         # No such property
         raise DBusPropertyNotFound(self.dbus_object_path + ":"
                                    + interface_name + "."
@@ -686,7 +669,7 @@
     def GetAll(self, interface_name):
         """Standard D-Bus property GetAll() method, see D-Bus
         standard.
-        
+
         Note: Will not include properties with access="write".
         """
         all = {}
@@ -754,110 +737,6 @@
         return xmlstring
 
 
-def datetime_to_dbus (dt, variant_level=0):
-    """Convert a UTC datetime.datetime() to a D-Bus type."""
-    if dt is None:
-        return dbus.String("", variant_level = variant_level)
-    return dbus.String(dt.isoformat(),
-                       variant_level=variant_level)
-
-class AlternateDBusNamesMetaclass(DBusObjectWithProperties
-                                  .__metaclass__):
-    """Applied to an empty subclass of a D-Bus object, this metaclass
-    will add additional D-Bus attributes matching a certain pattern.
-    """
-    def __new__(mcs, name, bases, attr):
-        # Go through all the base classes which could have D-Bus
-        # methods, signals, or properties in them
-        for base in (b for b in bases
-                     if issubclass(b, dbus.service.Object)):
-            # Go though all attributes of the base class
-            for attrname, attribute in inspect.getmembers(base):
-                # Ignore non-D-Bus attributes, and D-Bus attributes
-                # with the wrong interface name
-                if (not hasattr(attribute, "_dbus_interface")
-                    or not attribute._dbus_interface
-                    .startswith("se.recompile.Mandos")):
-                    continue
-                # Create an alternate D-Bus interface name based on
-                # the current name
-                alt_interface = (attribute._dbus_interface
-                                 .replace("se.recompile.Mandos",
-                                          "se.bsnet.fukt.Mandos"))
-                # Is this a D-Bus signal?
-                if getattr(attribute, "_dbus_is_signal", False):
-                    # Extract the original non-method function by
-                    # black magic
-                    nonmethod_func = (dict(
-                            zip(attribute.func_code.co_freevars,
-                                attribute.__closure__))["func"]
-                                      .cell_contents)
-                    # Create a new, but exactly alike, function
-                    # object, and decorate it to be a new D-Bus signal
-                    # with the alternate D-Bus interface name
-                    new_function = (dbus.service.signal
-                                    (alt_interface,
-                                     attribute._dbus_signature)
-                                    (types.FunctionType(
-                                nonmethod_func.func_code,
-                                nonmethod_func.func_globals,
-                                nonmethod_func.func_name,
-                                nonmethod_func.func_defaults,
-                                nonmethod_func.func_closure)))
-                    # Define a creator of a function to call both the
-                    # old and new functions, so both the old and new
-                    # signals gets sent when the function is called
-                    def fixscope(func1, func2):
-                        """This function is a scope container to pass
-                        func1 and func2 to the "call_both" function
-                        outside of its arguments"""
-                        def call_both(*args, **kwargs):
-                            """This function will emit two D-Bus
-                            signals by calling func1 and func2"""
-                            func1(*args, **kwargs)
-                            func2(*args, **kwargs)
-                        return call_both
-                    # Create the "call_both" function and add it to
-                    # the class
-                    attr[attrname] = fixscope(attribute,
-                                              new_function)
-                # Is this a D-Bus method?
-                elif getattr(attribute, "_dbus_is_method", False):
-                    # Create a new, but exactly alike, function
-                    # object.  Decorate it to be a new D-Bus method
-                    # with the alternate D-Bus interface name.  Add it
-                    # to the class.
-                    attr[attrname] = (dbus.service.method
-                                      (alt_interface,
-                                       attribute._dbus_in_signature,
-                                       attribute._dbus_out_signature)
-                                      (types.FunctionType
-                                       (attribute.func_code,
-                                        attribute.func_globals,
-                                        attribute.func_name,
-                                        attribute.func_defaults,
-                                        attribute.func_closure)))
-                # Is this a D-Bus property?
-                elif getattr(attribute, "_dbus_is_property", False):
-                    # Create a new, but exactly alike, function
-                    # object, and decorate it to be a new D-Bus
-                    # property with the alternate D-Bus interface
-                    # name.  Add it to the class.
-                    attr[attrname] = (dbus_service_property
-                                      (alt_interface,
-                                       attribute._dbus_signature,
-                                       attribute._dbus_access,
-                                       attribute
-                                       ._dbus_get_args_options
-                                       ["byte_arrays"])
-                                      (types.FunctionType
-                                       (attribute.func_code,
-                                        attribute.func_globals,
-                                        attribute.func_name,
-                                        attribute.func_defaults,
-                                        attribute.func_closure)))
-        return type.__new__(mcs, name, bases, attr)
-
 class ClientDBus(Client, DBusObjectWithProperties):
     """A Client class using D-Bus
     
@@ -885,71 +764,49 @@
         DBusObjectWithProperties.__init__(self, self.bus,
                                           self.dbus_object_path)
         
-    def notifychangeproperty(transform_func,
-                             dbus_name, type_func=lambda x: x,
-                             variant_level=1):
-        """ Modify a variable so that it's a property which announces
-        its changes to DBus.
+    def _get_approvals_pending(self):
+        return self._approvals_pending
+    def _set_approvals_pending(self, value):
+        old_value = self._approvals_pending
+        self._approvals_pending = value
+        bval = bool(value)
+        if (hasattr(self, "dbus_object_path")
+            and bval is not bool(old_value)):
+            dbus_bool = dbus.Boolean(bval, variant_level=1)
+            self.PropertyChanged(dbus.String("ApprovalPending"),
+                                 dbus_bool)
 
-        transform_fun: Function that takes a value and transforms it
-                       to a D-Bus type.
-        dbus_name: D-Bus name of the variable
-        type_func: Function that transform the value before sending it
-                   to the D-Bus.  Default: no transform
-        variant_level: D-Bus variant level.  Default: 1
-        """
-        attrname = "_{0}".format(dbus_name)
-        def setter(self, value):
-            if hasattr(self, "dbus_object_path"):
-                if (not hasattr(self, attrname) or
-                    type_func(getattr(self, attrname, None))
-                    != type_func(value)):
-                    dbus_value = transform_func(type_func(value),
-                                                variant_level)
-                    self.PropertyChanged(dbus.String(dbus_name),
-                                         dbus_value)
-            setattr(self, attrname, value)
-        
-        return property(lambda self: getattr(self, attrname), setter)
-    
-    
-    expires = notifychangeproperty(datetime_to_dbus, "Expires")
-    approvals_pending = notifychangeproperty(dbus.Boolean,
-                                             "ApprovalPending",
-                                             type_func = bool)
-    enabled = notifychangeproperty(dbus.Boolean, "Enabled")
-    last_enabled = notifychangeproperty(datetime_to_dbus,
-                                        "LastEnabled")
-    checker = notifychangeproperty(dbus.Boolean, "CheckerRunning",
-                                   type_func = lambda checker:
-                                       checker is not None)
-    last_checked_ok = notifychangeproperty(datetime_to_dbus,
-                                           "LastCheckedOK")
-    last_approval_request = notifychangeproperty(
-        datetime_to_dbus, "LastApprovalRequest")
-    approved_by_default = notifychangeproperty(dbus.Boolean,
-                                               "ApprovedByDefault")
-    approval_delay = notifychangeproperty(dbus.UInt16,
-                                          "ApprovalDelay",
-                                          type_func =
-                                          _timedelta_to_milliseconds)
-    approval_duration = notifychangeproperty(
-        dbus.UInt16, "ApprovalDuration",
-        type_func = _timedelta_to_milliseconds)
-    host = notifychangeproperty(dbus.String, "Host")
-    timeout = notifychangeproperty(dbus.UInt16, "Timeout",
-                                   type_func =
-                                   _timedelta_to_milliseconds)
-    extended_timeout = notifychangeproperty(
-        dbus.UInt16, "ExtendedTimeout",
-        type_func = _timedelta_to_milliseconds)
-    interval = notifychangeproperty(dbus.UInt16,
-                                    "Interval",
-                                    type_func =
-                                    _timedelta_to_milliseconds)
-    checker_command = notifychangeproperty(dbus.String, "Checker")
-    
-    del notifychangeproperty
+    approvals_pending = property(_get_approvals_pending,
+                                 _set_approvals_pending)
+    del _get_approvals_pending, _set_approvals_pending
+    
+    @staticmethod
+    def _datetime_to_dbus(dt, variant_level=0):
+        """Convert a UTC datetime.datetime() to a D-Bus type."""
+        return dbus.String(dt.isoformat(),
+                           variant_level=variant_level)
+    
+    def enable(self):
+        oldstate = getattr(self, "enabled", False)
+        r = Client.enable(self)
+        if oldstate != self.enabled:
+            # Emit D-Bus signals
+            self.PropertyChanged(dbus.String("Enabled"),
+                                 dbus.Boolean(True, variant_level=1))
+            self.PropertyChanged(
+                dbus.String("LastEnabled"),
+                self._datetime_to_dbus(self.last_enabled,
+                                       variant_level=1))
+        return r
+    
+    def disable(self, quiet = False):
+        oldstate = getattr(self, "enabled", False)
+        r = Client.disable(self, quiet=quiet)
+        if not quiet and oldstate != self.enabled:
+            # Emit D-Bus signal
+            self.PropertyChanged(dbus.String("Enabled"),
+                                 dbus.Boolean(False, variant_level=1))
+        return r
     
     def __del__(self, *args, **kwargs):
         try:
@@ -964,6 +821,9 @@
                          *args, **kwargs):
         self.checker_callback_tag = None
         self.checker = None
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("CheckerRunning"),
+                             dbus.Boolean(False, variant_level=1))
         if os.WIFEXITED(condition):
             exitstatus = os.WEXITSTATUS(condition)
             # Emit D-Bus signal
@@ -979,6 +839,23 @@
         return Client.checker_callback(self, pid, condition, command,
                                        *args, **kwargs)
     
+    def checked_ok(self, *args, **kwargs):
+        Client.checked_ok(self, *args, **kwargs)
+        # Emit D-Bus signal
+        self.PropertyChanged(
+            dbus.String("LastCheckedOK"),
+            (self._datetime_to_dbus(self.last_checked_ok,
+                                    variant_level=1)))
+    
+    def need_approval(self, *args, **kwargs):
+        r = Client.need_approval(self, *args, **kwargs)
+        # Emit D-Bus signal
+        self.PropertyChanged(
+            dbus.String("LastApprovalRequest"),
+            (self._datetime_to_dbus(self.last_approval_request,
+                                    variant_level=1)))
+        return r
+    
     def start_checker(self, *args, **kwargs):
         old_checker = self.checker
         if self.checker is not None:
@@ -991,8 +868,20 @@
             and old_checker_pid != self.checker.pid):
             # Emit D-Bus signal
             self.CheckerStarted(self.current_checker_command)
+            self.PropertyChanged(
+                dbus.String("CheckerRunning"),
+                dbus.Boolean(True, variant_level=1))
         return r
     
+    def stop_checker(self, *args, **kwargs):
+        old_checker = getattr(self, "checker", None)
+        r = Client.stop_checker(self, *args, **kwargs)
+        if (old_checker is not None
+            and getattr(self, "checker", None) is None):
+            self.PropertyChanged(dbus.String("CheckerRunning"),
+                                 dbus.Boolean(False, variant_level=1))
+        return r
+
     def _reset_approved(self):
         self._approved = None
         return False
@@ -1000,13 +889,13 @@
     def approve(self, value=True):
         self.send_changedstate()
         self._approved = value
-        gobject.timeout_add(_timedelta_to_milliseconds
+        gobject.timeout_add(self._timedelta_to_milliseconds
                             (self.approval_duration),
                             self._reset_approved)
     
     
     ## D-Bus methods, signals & properties
-    _interface = "se.recompile.Mandos.Client"
+    _interface = "se.bsnet.fukt.Mandos.Client"
     
     ## Signals
     
@@ -1098,6 +987,9 @@
         if value is None:       # get
             return dbus.Boolean(self.approved_by_default)
         self.approved_by_default = bool(value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("ApprovedByDefault"),
+                             dbus.Boolean(value, variant_level=1))
     
     # ApprovalDelay - property
     @dbus_service_property(_interface, signature="t",
@@ -1106,15 +998,21 @@
         if value is None:       # get
             return dbus.UInt64(self.approval_delay_milliseconds())
         self.approval_delay = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("ApprovalDelay"),
+                             dbus.UInt64(value, variant_level=1))
     
     # ApprovalDuration - property
     @dbus_service_property(_interface, signature="t",
                            access="readwrite")
     def ApprovalDuration_dbus_property(self, value=None):
         if value is None:       # get
-            return dbus.UInt64(_timedelta_to_milliseconds(
+            return dbus.UInt64(self._timedelta_to_milliseconds(
                     self.approval_duration))
         self.approval_duration = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("ApprovalDuration"),
+                             dbus.UInt64(value, variant_level=1))
     
     # Name - property
     @dbus_service_property(_interface, signature="s", access="read")
@@ -1133,16 +1031,21 @@
         if value is None:       # get
             return dbus.String(self.host)
         self.host = value
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Host"),
+                             dbus.String(value, variant_level=1))
     
     # Created - property
     @dbus_service_property(_interface, signature="s", access="read")
     def Created_dbus_property(self):
-        return dbus.String(datetime_to_dbus(self.created))
+        return dbus.String(self._datetime_to_dbus(self.created))
     
     # LastEnabled - property
     @dbus_service_property(_interface, signature="s", access="read")
     def LastEnabled_dbus_property(self):
-        return datetime_to_dbus(self.last_enabled)
+        if self.last_enabled is None:
+            return dbus.String("")
+        return dbus.String(self._datetime_to_dbus(self.last_enabled))
     
     # Enabled - property
     @dbus_service_property(_interface, signature="b",
@@ -1162,17 +1065,19 @@
         if value is not None:
             self.checked_ok()
             return
-        return datetime_to_dbus(self.last_checked_ok)
-    
-    # Expires - property
-    @dbus_service_property(_interface, signature="s", access="read")
-    def Expires_dbus_property(self):
-        return datetime_to_dbus(self.expires)
+        if self.last_checked_ok is None:
+            return dbus.String("")
+        return dbus.String(self._datetime_to_dbus(self
+                                                  .last_checked_ok))
     
     # LastApprovalRequest - property
     @dbus_service_property(_interface, signature="s", access="read")
     def LastApprovalRequest_dbus_property(self):
-        return datetime_to_dbus(self.last_approval_request)
+        if self.last_approval_request is None:
+            return dbus.String("")
+        return dbus.String(self.
+                           _datetime_to_dbus(self
+                                             .last_approval_request))
     
     # Timeout - property
     @dbus_service_property(_interface, signature="t",
@@ -1181,12 +1086,14 @@
         if value is None:       # get
             return dbus.UInt64(self.timeout_milliseconds())
         self.timeout = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Timeout"),
+                             dbus.UInt64(value, variant_level=1))
         if getattr(self, "disable_initiator_tag", None) is None:
             return
         # Reschedule timeout
         gobject.source_remove(self.disable_initiator_tag)
         self.disable_initiator_tag = None
-        self.expires = None
         time_to_die = (self.
                        _timedelta_to_milliseconds((self
                                                    .last_checked_ok
@@ -1197,20 +1104,9 @@
             # The timeout has passed
             self.disable()
         else:
-            self.expires = (datetime.datetime.utcnow()
-                            + datetime.timedelta(milliseconds =
-                                                 time_to_die))
             self.disable_initiator_tag = (gobject.timeout_add
                                           (time_to_die, self.disable))
     
-    # ExtendedTimeout - property
-    @dbus_service_property(_interface, signature="t",
-                           access="readwrite")
-    def ExtendedTimeout_dbus_property(self, value=None):
-        if value is None:       # get
-            return dbus.UInt64(self.extended_timeout_milliseconds())
-        self.extended_timeout = datetime.timedelta(0, 0, 0, value)
-    
     # Interval - property
     @dbus_service_property(_interface, signature="t",
                            access="readwrite")
@@ -1218,6 +1114,9 @@
         if value is None:       # get
             return dbus.UInt64(self.interval_milliseconds())
         self.interval = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Interval"),
+                             dbus.UInt64(value, variant_level=1))
         if getattr(self, "checker_initiator_tag", None) is None:
             return
         # Reschedule checker run
@@ -1225,7 +1124,7 @@
         self.checker_initiator_tag = (gobject.timeout_add
                                       (value, self.start_checker))
         self.start_checker()    # Start one now, too
-    
+
     # Checker - property
     @dbus_service_property(_interface, signature="s",
                            access="readwrite")
@@ -1233,6 +1132,10 @@
         if value is None:       # get
             return dbus.String(self.checker_command)
         self.checker_command = value
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Checker"),
+                             dbus.String(self.checker_command,
+                                         variant_level=1))
     
     # CheckerRunning - property
     @dbus_service_property(_interface, signature="b",
@@ -1265,7 +1168,7 @@
         self._pipe.send(('init', fpr, address))
         if not self._pipe.recv():
             raise KeyError()
-    
+
     def __getattribute__(self, name):
         if(name == '_pipe'):
             return super(ProxyClient, self).__getattribute__(name)
@@ -1278,14 +1181,12 @@
                 self._pipe.send(('funcall', name, args, kwargs))
                 return self._pipe.recv()[1]
             return func
-    
+
     def __setattr__(self, name, value):
         if(name == '_pipe'):
             return super(ProxyClient, self).__setattr__(name, value)
         self._pipe.send(('setattr', name, value))
 
-class ClientDBusTransitional(ClientDBus):
-    __metaclass__ = AlternateDBusNamesMetaclass
 
 class ClientHandler(socketserver.BaseRequestHandler, object):
     """A class to handle client connections.
@@ -1299,17 +1200,17 @@
                         unicode(self.client_address))
             logger.debug("Pipe FD: %d",
                          self.server.child_pipe.fileno())
-            
+
             session = (gnutls.connection
                        .ClientSession(self.request,
                                       gnutls.connection
                                       .X509Credentials()))
-            
+
             # Note: gnutls.connection.X509Credentials is really a
             # generic GnuTLS certificate credentials object so long as
             # no X.509 keys are added to it.  Therefore, we can use it
             # here despite using OpenPGP certificates.
-            
+
             #priority = ':'.join(("NONE", "+VERS-TLS1.1",
             #                      "+AES-256-CBC", "+SHA1",
             #                      "+COMP-NULL", "+CTYPE-OPENPGP",
@@ -1321,7 +1222,7 @@
             (gnutls.library.functions
              .gnutls_priority_set_direct(session._c_object,
                                          priority, None))
-            
+
             # Start communication using the Mandos protocol
             # Get protocol number
             line = self.request.makefile().readline()
@@ -1332,7 +1233,7 @@
             except (ValueError, IndexError, RuntimeError) as error:
                 logger.error("Unknown protocol version: %s", error)
                 return
-            
+
             # Start GnuTLS connection
             try:
                 session.handshake()
@@ -1342,7 +1243,7 @@
                 # established.  Just abandon the request.
                 return
             logger.debug("Handshake succeeded")
-            
+
             approval_required = False
             try:
                 try:
@@ -1353,7 +1254,7 @@
                     logger.warning("Bad certificate: %s", error)
                     return
                 logger.debug("Fingerprint: %s", fpr)
-                
+
                 try:
                     client = ProxyClient(child_pipe, fpr,
                                          self.client_address)
@@ -1371,7 +1272,7 @@
                                        client.name)
                         if self.server.use_dbus:
                             # Emit D-Bus signal
-                            client.Rejected("Disabled")
+                            client.Rejected("Disabled")                    
                         return
                     
                     if client._approved or not client.approval_delay:
@@ -1394,13 +1295,10 @@
                         return
                     
                     #wait until timeout or approved
-                    #x = float(client
-                    #          ._timedelta_to_milliseconds(delay))
+                    #x = float(client._timedelta_to_milliseconds(delay))
                     time = datetime.datetime.now()
                     client.changedstate.acquire()
-                    (client.changedstate.wait
-                     (float(client._timedelta_to_milliseconds(delay)
-                            / 1000)))
+                    client.changedstate.wait(float(client._timedelta_to_milliseconds(delay) / 1000))
                     client.changedstate.release()
                     time2 = datetime.datetime.now()
                     if (time2 - time) >= delay:
@@ -1428,10 +1326,10 @@
                                  sent, len(client.secret)
                                  - (sent_size + sent))
                     sent_size += sent
-                
+
                 logger.info("Sending secret to %s", client.name)
                 # bump the timeout as if seen
-                client.checked_ok(client.extended_timeout)
+                client.checked_ok()
                 if self.server.use_dbus:
                     # Emit D-Bus signal
                     client.GotSecret()
@@ -1522,7 +1420,6 @@
         multiprocessing.Process(target = self.sub_process_main,
                                 args = (request, address)).start()
 
-
 class MultiprocessingMixInWithPipe(MultiprocessingMixIn, object):
     """ adds a pipe to the MixIn """
     def process_request(self, request, client_address):
@@ -1531,17 +1428,16 @@
         This function creates a new pipe in self.pipe
         """
         parent_pipe, self.child_pipe = multiprocessing.Pipe()
-        
+
         super(MultiprocessingMixInWithPipe,
               self).process_request(request, client_address)
         self.child_pipe.close()
         self.add_pipe(parent_pipe)
-    
+
     def add_pipe(self, parent_pipe):
         """Dummy function; override as necessary"""
         raise NotImplementedError
 
-
 class IPv6_TCPServer(MultiprocessingMixInWithPipe,
                      socketserver.TCPServer, object):
     """IPv6-capable TCP server.  Accepts 'None' as address and/or port
@@ -1638,8 +1534,7 @@
         gobject.io_add_watch(parent_pipe.fileno(),
                              gobject.IO_IN | gobject.IO_HUP,
                              functools.partial(self.handle_ipc,
-                                               parent_pipe =
-                                               parent_pipe))
+                                               parent_pipe = parent_pipe))
         
     def handle_ipc(self, source, condition, parent_pipe=None,
                    client_object=None):
@@ -1678,44 +1573,37 @@
                             "dress: %s", fpr, address)
                 if self.use_dbus:
                     # Emit D-Bus signal
-                    mandos_dbus_service.ClientNotFound(fpr,
-                                                       address[0])
+                    mandos_dbus_service.ClientNotFound(fpr, address[0])
                 parent_pipe.send(False)
                 return False
             
             gobject.io_add_watch(parent_pipe.fileno(),
                                  gobject.IO_IN | gobject.IO_HUP,
                                  functools.partial(self.handle_ipc,
-                                                   parent_pipe =
-                                                   parent_pipe,
-                                                   client_object =
-                                                   client))
+                                                   parent_pipe = parent_pipe,
+                                                   client_object = client))
             parent_pipe.send(True)
-            # remove the old hook in favor of the new above hook on
-            # same fileno
+            # remove the old hook in favor of the new above hook on same fileno
             return False
         if command == 'funcall':
             funcname = request[1]
             args = request[2]
             kwargs = request[3]
             
-            parent_pipe.send(('data', getattr(client_object,
-                                              funcname)(*args,
-                                                         **kwargs)))
-        
+            parent_pipe.send(('data', getattr(client_object, funcname)(*args, **kwargs)))
+
         if command == 'getattr':
             attrname = request[1]
             if callable(client_object.__getattribute__(attrname)):
                 parent_pipe.send(('function',))
             else:
-                parent_pipe.send(('data', client_object
-                                  .__getattribute__(attrname)))
+                parent_pipe.send(('data', client_object.__getattribute__(attrname)))
         
         if command == 'setattr':
             attrname = request[1]
             value = request[2]
             setattr(client_object, attrname, value)
-        
+
         return True
 
 
@@ -1900,7 +1788,7 @@
     debuglevel = server_settings["debuglevel"]
     use_dbus = server_settings["use_dbus"]
     use_ipv6 = server_settings["use_ipv6"]
-    
+
     if server_settings["servicename"] != "Mandos":
         syslogger.setFormatter(logging.Formatter
                                ('Mandos (%s) [%%(process)d]:'
@@ -1908,9 +1796,8 @@
                                 % server_settings["servicename"]))
     
     # Parse config file with clients
-    client_defaults = { "timeout": "5m",
-                        "extended_timeout": "15m",
-                        "interval": "2m",
+    client_defaults = { "timeout": "1h",
+                        "interval": "5m",
                         "checker": "fping -q -- %%(host)s",
                         "host": "",
                         "approval_delay": "0s",
@@ -1967,7 +1854,7 @@
         level = getattr(logging, debuglevel.upper())
         syslogger.setLevel(level)
         console.setLevel(level)
-    
+
     if debug:
         # Enable all possible GnuTLS debugging
         
@@ -2004,11 +1891,8 @@
     # End of Avahi example code
     if use_dbus:
         try:
-            bus_name = dbus.service.BusName("se.recompile.Mandos",
+            bus_name = dbus.service.BusName("se.bsnet.fukt.Mandos",
                                             bus, do_not_queue=True)
-            old_bus_name = (dbus.service.BusName
-                            ("se.bsnet.fukt.Mandos", bus,
-                             do_not_queue=True))
         except dbus.exceptions.NameExistsException as e:
             logger.error(unicode(e) + ", disabling D-Bus")
             use_dbus = False
@@ -2027,8 +1911,7 @@
     
     client_class = Client
     if use_dbus:
-        client_class = functools.partial(ClientDBusTransitional,
-                                         bus = bus)
+        client_class = functools.partial(ClientDBus, bus = bus)
     def client_config_items(config, section):
         special_settings = {
             "approved_by_default":
@@ -2064,7 +1947,7 @@
         del pidfilename
         
         signal.signal(signal.SIGINT, signal.SIG_IGN)
-    
+
     signal.signal(signal.SIGHUP, lambda signum, frame: sys.exit())
     signal.signal(signal.SIGTERM, lambda signum, frame: sys.exit())
     
@@ -2073,7 +1956,7 @@
             """A D-Bus proxy object"""
             def __init__(self):
                 dbus.service.Object.__init__(self, bus, "/")
-            _interface = "se.recompile.Mandos"
+            _interface = "se.bsnet.fukt.Mandos"
             
             @dbus.service.signal(_interface, signature="o")
             def ClientAdded(self, objpath):
@@ -2121,9 +2004,7 @@
             
             del _interface
         
-        class MandosDBusServiceTransitional(MandosDBusService):
-            __metaclass__ = AlternateDBusNamesMetaclass
-        mandos_dbus_service = MandosDBusServiceTransitional()
+        mandos_dbus_service = MandosDBusService()
     
     def cleanup():
         "Cleanup function; run on exit"
@@ -2138,8 +2019,7 @@
             client.disable(quiet=True)
             if use_dbus:
                 # Emit D-Bus signal
-                mandos_dbus_service.ClientRemoved(client
-                                                  .dbus_object_path,
+                mandos_dbus_service.ClientRemoved(client.dbus_object_path,
                                                   client.name)
     
     atexit.register(cleanup)
@@ -2194,6 +2074,5 @@
     # Must run before the D-Bus bus name gets deregistered
     cleanup()
 
-
 if __name__ == '__main__':
     main()

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2011-10-05 16:00:56 +0000
+++ mandos-clients.conf.xml	2011-02-27 17:26:35 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-02-27">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -20,14 +20,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -182,29 +182,6 @@
       </varlistentry>
       
       <varlistentry>
-	<term><option>extended_timeout<literal> = </literal><replaceable
-	>TIME</replaceable></option></term>
-	<listitem>
-	  <para>
-	    This option is <emphasis>optional</emphasis>.
-	  </para>
-	  <para>
-	    Extended timeout is an added timeout that is given once
-	    after a password has been sent sucessfully to a client.
-	    The timeout is by default longer than the normal timeout,
-	    and is used for handling the extra long downtime while a
-	    machine is booting up.  Time to take into consideration
-	    when changing this value is file system checks and quota
-	    checks.  The default value is 15 minutes.
-	  </para>
-	  <para>
-	    The format of <replaceable>TIME</replaceable> is the same
-	    as for <varname>timeout</varname> below.
-	  </para>
-	</listitem>
-      </varlistentry>
-      
-      <varlistentry>
 	<term><option>fingerprint<literal> = </literal
 	><replaceable>HEXSTRING</replaceable></option></term>
 	<listitem>
@@ -252,7 +229,7 @@
 	    will wait for a checker to complete until the below
 	    <quote><varname>timeout</varname></quote> occurs, at which
 	    time the client will be disabled, and any running checker
-	    killed.  The default interval is 2 minutes.
+	    killed.  The default interval is 5 minutes.
 	  </para>
 	  <para>
 	    The format of <replaceable>TIME</replaceable> is the same
@@ -322,11 +299,10 @@
 	    This option is <emphasis>optional</emphasis>.
 	  </para>
 	  <para>
-	    The timeout is how long the server will wait, after a
-	    successful checker run, until a client is disabled and not
-	    allowed to get the data this server holds.  By default
-	    Mandos will use 5 minutes.  See also the
-	    <option>extended_timeout</option> option.
+	    The timeout is how long the server will wait (for either a
+	    successful checker run or a client receiving its secret)
+	    until a client is disabled and not allowed to get the data
+	    this server holds.  By default Mandos will use 1 hour.
 	  </para>
 	  <para>
 	    The <replaceable>TIME</replaceable> is specified as a
@@ -444,8 +420,8 @@
     <informalexample>
       <programlisting>
 [DEFAULT]
-timeout = 5m
-interval = 2m
+timeout = 1h
+interval = 5m
 checker = fping -q -- %%(host)s
 
 # Client "foo"
@@ -484,8 +460,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos-keygen</refentrytitle>
       <manvolnum>8</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos.conf</refentrytitle>

=== modified file 'mandos-ctl'
--- mandos-ctl	2011-10-05 16:00:56 +0000
+++ mandos-ctl	2011-07-27 17:58:27 +0000
@@ -19,7 +19,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -52,10 +52,9 @@
     "ApprovalDelay": "Approval Delay",
     "ApprovalDuration": "Approval Duration",
     "Checker": "Checker",
-    "ExtendedTimeout" : "Extended Timeout"
     }
 defaultkeywords = ("Name", "Enabled", "Timeout", "LastCheckedOK")
-domain = "se.recompile"
+domain = "se.bsnet.fukt"
 busname = domain + ".Mandos"
 server_path = "/"
 server_interface = domain + ".Mandos"
@@ -150,7 +149,6 @@
                 options.remove,
                 options.checker is not None,
                 options.timeout is not None,
-                options.extended_timeout is not None,
                 options.interval is not None,
                 options.approved_by_default is not None,
                 options.approval_delay is not None,
@@ -187,8 +185,6 @@
                         help="Set checker command for client")
     parser.add_argument("-t", "--timeout",
                         help="Set timeout for client")
-    parser.add_argument("--extended-timeout",
-                        help="Set extended timeout for client")
     parser.add_argument("-i", "--interval",
                         help="Set checker interval for client")
     parser.add_argument("--approve-by-default", action="store_true",
@@ -274,8 +270,7 @@
                         "LastEnabled", "ApprovalPending",
                         "ApprovedByDefault",
                         "LastApprovalRequest", "ApprovalDelay",
-                        "ApprovalDuration", "Checker",
-                        "ExtendedTimeout")
+                        "ApprovalDuration", "Checker")
         else:
             keywords = defaultkeywords
         
@@ -330,11 +325,6 @@
                            timedelta_to_milliseconds
                            (string_to_delta(options.timeout)),
                            dbus_interface=dbus.PROPERTIES_IFACE)
-            if options.extended_timeout:
-                client.Set(client_interface, "ExtendedTimeout",
-                           timedelta_to_milliseconds
-                           (string_to_delta(options.extended_timeout)),
-                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.secret:
                 client.Set(client_interface, "Secret",
                            dbus.ByteArray(open(options.secret,

=== modified file 'mandos-ctl.xml'
--- mandos-ctl.xml	2011-10-05 16:00:56 +0000
+++ mandos-ctl.xml	2011-02-27 17:26:35 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-ctl">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-02-27">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -95,11 +95,6 @@
       </group>
       <sbr/>
       <group>
-	<arg choice="plain"><option>--extended-timeout
-	<replaceable>TIME</replaceable></option></arg>
-      </group>
-      <sbr/>
-      <group>
 	<arg choice="plain"><option>--interval
 	<replaceable>TIME</replaceable></option></arg>
 	<arg choice="plain"><option>-i
@@ -323,19 +318,6 @@
 	  </para>
 	</listitem>
       </varlistentry>
-
-      <varlistentry>
-	<term><option>--extended-timeout
-	<replaceable>TIME</replaceable></option></term>
-	<listitem>
-	  <para>
-	    Set the <varname>extended_timeout</varname> option of the
-	    specified client(s); see <citerefentry><refentrytitle
-	    >mandos-clients.conf</refentrytitle><manvolnum
-	    >5</manvolnum></citerefentry>.
-	  </para>
-	</listitem>
-      </varlistentry>
       
       <varlistentry>
 	<term><option>--interval
@@ -572,8 +554,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos</refentrytitle>
       <manvolnum>8</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos-clients.conf</refentrytitle>

=== modified file 'mandos-keygen'
--- mandos-keygen	2011-10-05 16:00:56 +0000
+++ mandos-keygen	2011-07-27 17:58:27 +0000
@@ -18,7 +18,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 VERSION="1.3.1"
@@ -192,7 +192,7 @@
 shred --remove \"$RINGDIR\"/sec*;
 test -n \"$BATCHFILE\" && rm --force \"$BATCHFILE\"; \
 rm --recursive --force \"$RINGDIR\";
-tty --quiet && stty echo; \
+stty echo; \
 " EXIT
 
 set -e
@@ -289,37 +289,31 @@
     
     FILECOMMENT="Encrypted password for a Mandos client"
     
-    while [ ! -s "$SECFILE" ]; do
-	if [ -n "$PASSFILE" ]; then
-	    cat "$PASSFILE"
+    if [ -n "$PASSFILE" ]; then
+	cat "$PASSFILE"
+    else
+	stty -echo
+	echo -n "Enter passphrase: " >&2
+	first="$(head --lines=1 | tr --delete '\n')"
+	echo >&2
+	echo -n "Repeat passphrase: " >&2
+	second="$(head --lines=1 | tr --delete '\n')"
+	echo >&2
+	stty echo
+	if [ "$first" != "$second" ]; then
+	    echo "Passphrase mismatch" >&2
+	    touch "$RINGDIR"/mismatch
 	else
-	    tty --quiet && stty -echo
-	    read -p "Enter passphrase: " first
-	    tty --quiet && echo >&2
-	    read -p "Repeat passphrase: " second
-	    if tty --quiet; then
-		echo >&2
-		stty echo
-	    fi
-	    if [ "$first" != "$second" ]; then
-		echo "Passphrase mismatch" >&2
-		touch "$RINGDIR"/mismatch
-	    else
-		echo -n "$first"
-	    fi
-	fi | gpg --quiet --batch --no-tty --no-options --enable-dsa2 \
-	    --homedir "$RINGDIR" --trust-model always --armor \
-	    --encrypt --sign --recipient "$FINGERPRINT" --comment \
-	    "$FILECOMMENT" > "$SECFILE"
-	if [ -e "$RINGDIR"/mismatch ]; then
-	    rm --force "$RINGDIR"/mismatch
-	    if tty --quiet; then
-		> "$SECFILE"
-	    else
-		exit 1
-	    fi
+	    echo -n "$first"
 	fi
-    done
+    fi | gpg --quiet --batch --no-tty --no-options --enable-dsa2 \
+	--homedir "$RINGDIR" --trust-model always --armor --encrypt \
+	--sign --recipient "$FINGERPRINT" --comment "$FILECOMMENT" \
+	> "$SECFILE"
+    if [ -e "$RINGDIR"/mismatch ]; then
+	rm --force "$RINGDIR"/mismatch
+	exit 1
+    fi
     
     cat <<-EOF
 	[$KEYNAME]

=== modified file 'mandos-keygen.xml'
--- mandos-keygen.xml	2011-10-05 16:00:56 +0000
+++ mandos-keygen.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-keygen">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,21 +19,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -493,8 +492,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>gpg</refentrytitle>
       <manvolnum>1</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos-clients.conf</refentrytitle>

=== modified file 'mandos-monitor'
--- mandos-monitor	2011-10-05 16:00:56 +0000
+++ mandos-monitor	2011-07-27 17:58:27 +0000
@@ -19,7 +19,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -49,7 +49,7 @@
 logging.getLogger('dbus.proxies').setLevel(logging.CRITICAL)
 
 # Some useful constants
-domain = 'se.recompile'
+domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
 version = "1.3.1"
@@ -200,7 +200,6 @@
         else:
             self._update_timer_callback_lock -= 1
         if old == 0 and self._update_timer_callback_lock:
-            # Will update the shown timer value every second
             self._update_timer_callback_tag = (gobject.timeout_add
                                                (1000,
                                                 self.update_timer))
@@ -315,14 +314,14 @@
                 message = "Denial in %s. (a)pprove?"
             message = message % unicode(timer).rsplit(".", 1)[0]
         elif self.last_checker_failed:
-            # When checker has failed, print a timer until client expires
-            expires = self.properties["Expires"]
-            if expires == "":
-                timer = datetime.timedelta(0)
-            else:
-                expires = datetime.datetime.strptime(expires,
-                                                     '%Y-%m-%dT%H:%M:%S.%f')
-                timer = expires - datetime.datetime.utcnow()
+            timeout = datetime.timedelta(milliseconds
+                                         = self.properties
+                                         ["Timeout"])
+            last_ok = isoformat_to_datetime(
+                max((self.properties["LastCheckedOK"]
+                     or self.properties["Created"]),
+                    self.properties["LastEnabled"]))
+            timer = timeout - (datetime.datetime.utcnow() - last_ok)
             message = ('A checker has failed! Time until client'
                        ' gets disabled: %s'
                            % unicode(timer).rsplit(".", 1)[0])
@@ -347,8 +346,7 @@
             self.update_hook()
     
     def update_timer(self):
-        """called by gobject. Will indefinitely loop until
-        gobject.source_remove() on tag is called"""
+        "called by gobject"
         self.update()
         return True             # Keep calling this
     

=== modified file 'mandos-monitor.xml'
--- mandos-monitor.xml	2011-10-05 16:00:56 +0000
+++ mandos-monitor.xml	2011-02-27 17:26:35 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-monitor">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-02-27">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -219,8 +219,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos</refentrytitle>
       <manvolnum>8</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos-ctl</refentrytitle>

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2011-10-05 16:00:56 +0000
+++ mandos.conf.xml	2009-02-25 01:14:29 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2009-02-25">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -20,21 +20,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -205,8 +204,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>gnutls_priority_init</refentrytitle
       ><manvolnum>3</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos</refentrytitle>

=== modified file 'mandos.lsm'
--- mandos.lsm	2011-10-05 16:00:56 +0000
+++ mandos.lsm	2011-07-27 17:58:27 +0000
@@ -7,13 +7,13 @@
 unattended reboots.
 Keywords:	boot, encryption, luks, cryptsetup, network, openpgp,
 tls, dm-crypt
-Author:		teddy@recompile.se (Teddy Hogeborn),
-		belorn@recompile.se (Björn Påhlsson)
-Maintained-by:	teddy@recompile.se (Teddy Hogeborn),
-		belorn@recompile.se (Björn Påhlsson)
-Primary-site: http://www.recompile.se/mandos
+Author:		teddy@fukt.bsnet.se (Teddy Hogeborn),
+		belorn@fukt.bsnet.se (Björn Påhlsson)
+Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
+		belorn@fukt.bsnet.se (Björn Påhlsson)
+Primary-site: http://www.fukt.bsnet.se/mandos
 	      136K mandos_1.3.1.orig.tar.gz
-Alternate-site: ftp://ftp.recompile.se/pub/mandos
+Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
 		136K mandos_1.3.1.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.6, and
 various other libraries.  While made for Debian GNU/Linux, it is

=== modified file 'mandos.xml'
--- mandos.xml	2011-10-05 16:00:56 +0000
+++ mandos.xml	2011-02-27 17:26:35 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-02-27">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -117,16 +117,14 @@
     <para>
       <command>&COMMANDNAME;</command> is a server daemon which
       handles incoming request for passwords for a pre-defined list of
-      client host computers. For an introduction, see
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>. The Mandos server
-      uses Zeroconf to announce itself on the local network, and uses
-      TLS to communicate securely with and to authenticate the
-      clients.  The Mandos server uses IPv6 to allow Mandos clients to
-      use IPv6 link-local addresses, since the clients will probably
-      not have any other addresses configured (see <xref
-      linkend="overview"/>).  Any authenticated client is then given
-      the stored pre-encrypted password for that specific client.
+      client host computers.  The Mandos server uses Zeroconf to
+      announce itself on the local network, and uses TLS to
+      communicate securely with and to authenticate the clients.  The
+      Mandos server uses IPv6 to allow Mandos clients to use IPv6
+      link-local addresses, since the clients will probably not have
+      any other addresses configured (see <xref linkend="overview"/>).
+      Any authenticated client is then given the stored pre-encrypted
+      password for that specific client.
     </para>
   </refsect1>
   
@@ -354,9 +352,9 @@
       for some time, the client is assumed to be compromised and is no
       longer eligible to receive the encrypted password.  (Manual
       intervention is required to re-enable a client.)  The timeout,
-      extended timeout, checker program, and interval between checks
-      can be configured both globally and per client; see
-      <citerefentry><refentrytitle>mandos-clients.conf</refentrytitle>
+      checker program, and interval between checks can be configured
+      both globally and per client; see <citerefentry>
+      <refentrytitle>mandos-clients.conf</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>.  A client successfully
       receiving its password will also be treated as a successful
       checker run.
@@ -612,16 +610,15 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos-clients.conf</refentrytitle>
-      <manvolnum>5</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos.conf</refentrytitle>
-      <manvolnum>5</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>mandos-client</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
-      <citerefentry><refentrytitle>sh</refentrytitle>
-      <manvolnum>1</manvolnum></citerefentry>
+      <citerefentry>
+	<refentrytitle>mandos-clients.conf</refentrytitle>
+	<manvolnum>5</manvolnum></citerefentry>, <citerefentry>
+	<refentrytitle>mandos.conf</refentrytitle>
+	<manvolnum>5</manvolnum></citerefentry>, <citerefentry>
+	<refentrytitle>mandos-client</refentrytitle>
+	<manvolnum>8mandos</manvolnum></citerefentry>, <citerefentry>
+	<refentrytitle>sh</refentrytitle><manvolnum>1</manvolnum>
+      </citerefentry>
     </para>
     <variablelist>
       <varlistentry>

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2011-10-05 16:00:56 +0000
+++ plugin-runner.c	2011-07-16 00:29:19 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY(), getline(),
@@ -79,7 +79,7 @@
 #define AFILE "/conf/conf.d/mandos/plugin-runner.conf"
 
 const char *argp_program_version = "plugin-runner " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
 typedef struct plugin{
   char *name;			/* can be NULL or any plugin name */

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2011-10-05 16:56:06 +0000
+++ plugin-runner.xml	2009-01-18 06:41:57 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2011-10-05">
+<!ENTITY TIMESTAMP "2009-01-17">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,21 +19,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -261,7 +260,7 @@
 	    Disable the plugin named
 	    <replaceable>PLUGIN</replaceable>.  The plugin will not be
 	    started.
-	  </para>
+	  </para>	
 	</listitem>
       </varlistentry>
       
@@ -618,8 +617,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>cryptsetup</refentrytitle>
       <manvolnum>8</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>crypttab</refentrytitle>

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2011-10-05 16:00:56 +0000
+++ plugins.d/askpass-fifo.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY() */

=== modified file 'plugins.d/askpass-fifo.xml'
--- plugins.d/askpass-fifo.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/askpass-fifo.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "askpass-fifo">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,21 +19,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -149,8 +148,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>fifo</refentrytitle>
       <manvolnum>7</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>plugin-runner</refentrytitle>

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2011-10-05 16:00:56 +0000
+++ plugins.d/mandos-client.c	2011-07-31 13:05:34 +0000
@@ -26,7 +26,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 /* Needed by GPGME, specifically gpgme_data_seek() */
@@ -127,7 +127,7 @@
 bool debug = false;
 static const char mandos_protocol_version[] = "1";
 const char *argp_program_version = "mandos-client " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 static const char sys_class_net[] = "/sys/class/net";
 char *connect_to = NULL;
 
@@ -283,7 +283,7 @@
     return false;
   }
   
-  /* Set GPGME home directory for the OpenPGP engine only */
+    /* Set GPGME home directory for the OpenPGP engine only */
   rc = gpgme_get_engine_info(&engine_info);
   if(rc != GPG_ERR_NO_ERROR){
     fprintf(stderr, "bad gpgme_get_engine_info: %s: %s\n",
@@ -1470,44 +1470,40 @@
       perror_plus("seteuid");
     }
     
-    if(strcmp(seckey, PATHDIR "/" SECKEY) == 0){
-      int seckey_fd = open(seckey, O_RDONLY);
-      if(seckey_fd == -1){
-	perror_plus("open");
+    int seckey_fd = open(PATHDIR "/" SECKEY, O_RDONLY);
+    if(seckey_fd == -1){
+      perror_plus("open");
+    } else {
+      ret = (int)TEMP_FAILURE_RETRY(fstat(seckey_fd, &st));
+      if(ret == -1){
+	perror_plus("fstat");
       } else {
-	ret = (int)TEMP_FAILURE_RETRY(fstat(seckey_fd, &st));
-	if(ret == -1){
-	  perror_plus("fstat");
-	} else {
-	  if(S_ISREG(st.st_mode) and st.st_uid == 0 and st.st_gid == 0){
-	    ret = fchown(seckey_fd, uid, gid);
-	    if(ret == -1){
-	      perror_plus("fchown");
-	    }
+	if(S_ISREG(st.st_mode) and st.st_uid == 0 and st.st_gid == 0){
+	  ret = fchown(seckey_fd, uid, gid);
+	  if(ret == -1){
+	    perror_plus("fchown");
 	  }
 	}
-	TEMP_FAILURE_RETRY(close(seckey_fd));
       }
+      TEMP_FAILURE_RETRY(close(seckey_fd));
     }
     
-    if(strcmp(pubkey, PATHDIR "/" PUBKEY) == 0){
-      int pubkey_fd = open(pubkey, O_RDONLY);
-      if(pubkey_fd == -1){
-	perror_plus("open");
+    int pubkey_fd = open(PATHDIR "/" PUBKEY, O_RDONLY);
+    if(pubkey_fd == -1){
+      perror_plus("open");
+    } else {
+      ret = (int)TEMP_FAILURE_RETRY(fstat(pubkey_fd, &st));
+      if(ret == -1){
+	perror_plus("fstat");
       } else {
-	ret = (int)TEMP_FAILURE_RETRY(fstat(pubkey_fd, &st));
-	if(ret == -1){
-	  perror_plus("fstat");
-	} else {
-	  if(S_ISREG(st.st_mode) and st.st_uid == 0 and st.st_gid == 0){
-	    ret = fchown(pubkey_fd, uid, gid);
-	    if(ret == -1){
-	      perror_plus("fchown");
-	    }
+	if(S_ISREG(st.st_mode) and st.st_uid == 0 and st.st_gid == 0){
+	  ret = fchown(pubkey_fd, uid, gid);
+	  if(ret == -1){
+	    perror_plus("fchown");
 	  }
 	}
-	TEMP_FAILURE_RETRY(close(pubkey_fd));
       }
+      TEMP_FAILURE_RETRY(close(pubkey_fd));
     }
     
     /* Lower privileges */
@@ -1864,8 +1860,8 @@
 		(int)retry_interval);
       }
       sleep((int)retry_interval);
-    }
-    
+    };
+
     if (not quit_now){
       exitcode = EXIT_SUCCESS;
     }
@@ -2008,10 +2004,9 @@
   if(tempdir_created){
     struct dirent **direntries = NULL;
     struct dirent *direntry = NULL;
-    int numentries = scandir(tempdir, &direntries, notdotentries,
-			     alphasort);
-    if (numentries > 0){
-      for(int i = 0; i < numentries; i++){
+    ret = scandir(tempdir, &direntries, notdotentries, alphasort);
+    if (ret > 0){
+      for(int i = 0; i < ret; i++){
 	direntry = direntries[i];
 	char *fullname = NULL;
 	ret = asprintf(&fullname, "%s/%s", tempdir,
@@ -2029,9 +2024,10 @@
       }
     }
 
-    /* need to clean even if 0 because man page doesn't specify */
+    /* need to be cleaned even if ret == 0 because man page doesn't
+       specify */
     free(direntries);
-    if (numentries == -1){
+    if (ret == -1){
       perror_plus("scandir");
     }
     ret = rmdir(tempdir);

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/mandos-client.xml	2011-07-31 13:05:34 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2010-09-26">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,21 +19,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -536,8 +535,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>cryptsetup</refentrytitle>
       <manvolnum>8</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>crypttab</refentrytitle>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2011-10-05 16:00:56 +0000
+++ plugins.d/password-prompt.c	2011-07-27 17:58:27 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* getline(), asprintf() */
@@ -67,7 +67,7 @@
 int signal_received;
 bool debug = false;
 const char *argp_program_version = "password-prompt " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
 /* Needed for conflict resolution */
 const char plymouth_name[] = "plymouthd";

=== modified file 'plugins.d/password-prompt.xml'
--- plugins.d/password-prompt.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/password-prompt.xml	2009-10-30 16:23:43 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "password-prompt">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2009-10-30">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,21 +19,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -293,8 +292,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>
       <citerefentry><refentrytitle>crypttab</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>
       <citerefentry><refentrytitle>mandos-client</refentrytitle>

=== modified file 'plugins.d/plymouth.c'
--- plugins.d/plymouth.c	2011-10-05 16:00:56 +0000
+++ plugins.d/plymouth.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* asprintf(), TEMP_FAILURE_RETRY() */
@@ -54,17 +54,15 @@
 #include <stdarg.h>		/* va_list, va_start(), ... */
 
 sig_atomic_t interrupted_by_signal = 0;
-
-/* Used by Ubuntu 11.04 (Natty Narwahl) */
-const char plymouth_old_pid[] = "/dev/.initramfs/plymouth.pid";
-/* Used by Ubuntu 11.10 (Oneiric Ocelot) */
-const char plymouth_pid[] = "/run/initramfs/plymouth.pid";
-
+const char plymouth_pid[] = "/dev/.initramfs/plymouth.pid";
 const char plymouth_path[] = "/bin/plymouth";
 const char plymouthd_path[] = "/sbin/plymouthd";
 const char *plymouthd_default_argv[] = {"/sbin/plymouthd",
 					"--mode=boot",
 					"--attach-to-session",
+					"--pid-file="
+					"/dev/.initramfs/"
+					"plymouth.pid",
 					NULL };
 
 static void termination_handler(__attribute__((unused))int signum){
@@ -262,9 +260,8 @@
 
 pid_t get_pid(void){
   int ret;
+  FILE *pidfile = fopen(plymouth_pid, "r");
   uintmax_t maxvalue = 0;
-  FILE *pidfile = fopen(plymouth_pid, "r");
-  /* Try the new pid file location */
   if(pidfile != NULL){
     ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
     if(ret != 1){
@@ -272,18 +269,6 @@
     }
     fclose(pidfile);
   }
-  /* Try the old pid file location */
-  if(maxvalue == 0){
-    pidfile = fopen(plymouth_pid, "r");
-    if(pidfile != NULL){
-      ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
-      if(ret != 1){
-	maxvalue = 0;
-      }
-      fclose(pidfile);
-    }
-  }
-  /* Look for a plymouth process */
   if(maxvalue == 0){
     struct dirent **direntries = NULL;
     ret = scandir("/proc", &direntries, is_plymouth, alphasort);

=== modified file 'plugins.d/plymouth.xml'
--- plugins.d/plymouth.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/plymouth.xml	2011-02-27 17:26:35 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plymouth">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-02-27">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -261,8 +261,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>crypttab</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>plugin-runner</refentrytitle>

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2011-10-05 16:00:56 +0000
+++ plugins.d/splashy.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY(), asprintf() */

=== modified file 'plugins.d/splashy.xml'
--- plugins.d/splashy.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/splashy.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "splashy">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,21 +19,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -264,8 +263,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>crypttab</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>plugin-runner</refentrytitle>

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2011-10-05 16:00:56 +0000
+++ plugins.d/usplash.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* asprintf(), TEMP_FAILURE_RETRY() */

=== modified file 'plugins.d/usplash.xml'
--- plugins.d/usplash.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/usplash.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "usplash">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,21 +19,20 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2011</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -278,8 +277,6 @@
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>crypttab</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>fifo</refentrytitle>

